function saida_gr (nao_graf, graf_bar, graf_his);
% saida_tc imprime a resposta da consulta a SESHET
% em formato GUI
%   
%   
%   

nao_graf = nao_graf*100;
graf_bar = graf_bar*100;
graf_his = graf_his*100;

labelList=[
    'No se aplica grfico nesta situao   ___________________             ', sprintf('%6.2f',nao_graf),
    'Grfico de Barras  ______________________________                      ', sprintf('%6.2f',graf_bar),
    'Grfico Histograma  ____________________________                       ', sprintf('%6.2f',graf_his)];

nameList=[
    'nao_graf           '
    'graf_bar           '
    'graf_his           '];


figNum=figure('name', 'Respostas possveis pelo SESHET-S',...
    'NumberTitle','off', ...
    'Visible','off',...
    'HandleVisibility','callback');
 
pos = get(figNum,'position');
pos(3) = .8 * pos(3);
set(figNum,'Position',pos)
hBorder = 0.06;
uicontrol(figNum, 'Style', 'listbox', ...
    'units','norm',...
    'Position',[hBorder .22 1-2*hBorder .7],...
    'String', labelList,  ...
    'Tag', 'listbox');
uicontrol(figNum, 'Style', 'pushbutton', ...
    'units','norm',...
    'Position',[hBorder .12 1-2*hBorder .06],...
    'String', 'Rode este exemplo',...
    'Callback',@LocalRunDemo); 
uicontrol(figNum, 'Style', 'pushbutton', ...
    'units','norm',...
    'Position',[hBorder .04 1-2*hBorder .06],...
    'String', 'Fechar',...
    'Callback', 'close(gcbf)'); 
set(figNum,'Visible','on','Userdata', nameList)


%----------------

function LocalRunDemo(hSrc,event)

nameList=get(gcbf, 'Userdata');
listHndl=findobj(gcbf, 'Tag', 'listbox');
index=get(listHndl, 'Value');
eval(deblank(nameList(index,:)));

