function saida_tc (moda_na, mediana_na, media_na, moda_ag, mediana_ag, media_ag);
% saida_tc imprime a resposta da consulta a SESHET
% em formato GUI
%   
%   
%   

moda_na = moda_na*100;
mediana_na = mediana_na*100;
media_na = media_na*100;
moda_ag = moda_ag*100;
mediana_ag = mediana_ag*100;
media_ag = media_ag*100;

labelList=[
    'Moda para dados no agrupados  ________________________          ', sprintf('%6.2f',moda_na),
    'Mediana para dados no agrupados  _______________________        ', sprintf('%6.2f',mediana_na),
    'Mdia para dados no agrupados  _________________________        ', sprintf('%6.2f',media_na),
    'Moda para dados agrupados  ____________________________          ', sprintf('%6.2f',moda_ag),
    'Mediana para dados agrupados  __________________________         ', sprintf('%6.2f',mediana_ag),
    'Mdia para dados agrupados  ____________________________         ', sprintf('%6.2f',media_ag)];

nameList=[
    'moda_na         '
    'mediana_na      '
    'media_na        '
    'moda_ag         '
    'mediana_ag      '
    'media_ag        '];


figNum=figure('name', 'Respostas possveis pelo SESHET-S (em valores percentuais)',...
    'NumberTitle','off', ...
    'Visible','off',...
    'HandleVisibility','callback');
 
pos = get(figNum,'position');
pos(3) = .8 * pos(3);
set(figNum,'Position',pos)
hBorder = 0.06;
uicontrol(figNum, 'Style', 'listbox', ...
    'units','norm',...
    'Position',[hBorder .22 1-2*hBorder .7],...
    'String', labelList,  ...
    'Tag', 'listbox');
uicontrol(figNum, 'Style', 'pushbutton', ...
    'units','norm',...
    'Position',[hBorder .12 1-2*hBorder .06],...
    'String', 'Rode este exemplo',...
    'Callback',@LocalRunDemo); 
uicontrol(figNum, 'Style', 'pushbutton', ...
    'units','norm',...
    'Position',[hBorder .04 1-2*hBorder .06],...
    'String', 'Fechar',...
    'Callback', 'close(gcbf)'); 
set(figNum,'Visible','on','Userdata', nameList)


%----------------

function LocalRunDemo(hSrc,event)

nameList=get(gcbf, 'Userdata');
listHndl=findobj(gcbf, 'Tag', 'listbox');
index=get(listHndl, 'Value');
eval(deblank(nameList(index,:)));

