function saidanov(Nao_ANOVA, Anova_1fator, Anova_2fatores);
% saidanov imprime a resposta da consulta a SESHET
% em formato GUI
%   
%   
%   

Nao_ANOVA = Nao_ANOVA*100;
Anova_1fator = Anova_1fator*100;
Anova_2fatores = Anova_2fatores*100;

labelList=[
    'No se aplica ANOVA para este caso, nesta disciplina  __                     ', sprintf('%6.2f',Nao_ANOVA),
    'ANOVA 1 fator  _________________________                                     ', sprintf('%6.2f',Anova_1fator),
    'ANOVA 2 fatores  ________________________                                    ', sprintf('%6.2f',Anova_2fatores)];

nameList=[
    'Nao_ANOVA          '
    'Anova_1fator       '
    'Anova_2fatores     '
];


figNum=figure('name', 'Respostas possveis pelo SESHET-S (em valores percentuais)',...
    'NumberTitle','off', ...
    'Visible','off',...
    'HandleVisibility','callback');
 
pos = get(figNum,'position');
pos(3) = .8 * pos(3);
set(figNum,'Position',pos)
hBorder = 0.06;
uicontrol(figNum, 'Style', 'listbox', ...
    'units','norm',...
    'Position',[hBorder .22 1-2*hBorder .7],...
    'String', labelList,  ...
    'Tag', 'listbox');
uicontrol(figNum, 'Style', 'pushbutton', ...
    'units','norm',...
    'Position',[hBorder .12 1-2*hBorder .06],...
    'String', 'Rode este exemplo',...
    'Callback',@LocalRunDemo); 
uicontrol(figNum, 'Style', 'pushbutton', ...
    'units','norm',...
    'Position',[hBorder .04 1-2*hBorder .06],...
    'String', 'Fechar',...
    'Callback', 'close(gcbf)'); 
set(figNum,'Visible','on','Userdata', nameList)


%----------------

function LocalRunDemo(hSrc,event)

nameList=get(gcbf, 'Userdata');
listHndl=findobj(gcbf, 'Tag', 'listbox');
index=get(listHndl, 'Value');
eval(deblank(nameList(index,:)));

