function saidath1 (th1Nao_aplica, th1MediaVD, th1MediaVC, th1Proporcao, th1Variancia);
% saidath1 imprime a resposta da consulta a SESHET
% em formato GUI
%   
%   
%   

th1Nao_aplica = th1Nao_aplica*100;
th1MediaVD = th1MediaVD*100;
th1MediaVC = th1MediaVC*100;
th1Proporcao = th1Proporcao*100;
th1Variancia = th1Variancia*100;

labelList=[
    'No se aplica Teste de Hipoteses para este caso, nesta disciplina ____', sprintf('%6.2f',th1Nao_aplica),
    'Teste de Hipoteses para uma Mdia com Varincia Desconhecida          ', sprintf('%6.2f',th1MediaVD),
    'Teste de Hipoteses para uma Mdia com Varincia Conhecida ___         ', sprintf('%6.2f',th1MediaVC),
    'Teste de Hipoteses para uma Proporo  _________________              ', sprintf('%6.2f',th1Proporcao),
    'Teste de Hipoteses para uma Varincia  ___________________            ', sprintf('%6.2f',th1Variancia)];

nameList=[
    'th1Nao_aplica      '
    'th1MediaVD         '
    'th1MediaVC         '
    'th1Proporcao       '
    'th1Variancia       '];


figNum=figure('name', 'Respostas possveis pelo SESHET-S (em valores percentuais)',...
    'NumberTitle','off', ...
    'Visible','off',...
    'HandleVisibility','callback');
 
pos = get(figNum,'position');
pos(3) = .8 * pos(3);
set(figNum,'Position',pos)
hBorder = 0.06;
uicontrol(figNum, 'Style', 'listbox', ...
    'units','norm',...
    'Position',[hBorder .22 1-2*hBorder .7],...
    'String', labelList,  ...
    'Tag', 'listbox');
uicontrol(figNum, 'Style', 'pushbutton', ...
    'units','norm',...
    'Position',[hBorder .12 1-2*hBorder .06],...
    'String', 'Rode este exemplo',...
    'Callback',@LocalRunDemo); 
uicontrol(figNum, 'Style', 'pushbutton', ...
    'units','norm',...
    'Position',[hBorder .04 1-2*hBorder .06],...
    'String', 'Fechar',...
    'Callback', 'close(gcbf)'); 
set(figNum,'Visible','on','Userdata', nameList)


%----------------

function LocalRunDemo(hSrc,event)

nameList=get(gcbf, 'Userdata');
listHndl=findobj(gcbf, 'Tag', 'listbox');
index=get(listHndl, 'Value');
eval(deblank(nameList(index,:)));

